import request from '@/assets/js/utils/request'
/*
 * =======================供应商-修改获取发票==============================
 * */
// 获取当前企业指定类型有效发票 - 修改发票信息
export function getCurrentDepartInvoiceByType(type) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/getCurrentDepartInvoiceByType?type=' + type,
    method: 'post'
  })
}
// 获取当前企业指定类型有效发票 - 保存发票
export function saveInvoice(data) {
  return request({
    url: '/bidprocurement/common-user/user/invoice/saveInvoice',
    method: 'post',
    data
  })
}
// 重置密码
export function resetPassword(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/resetPassword',
    method: 'post',
    data
  })
}
/*
 * =======================供应商-扫码签章接口atart==============================
 * */
//  获取扫码状态
export function getSupplierQRCodeIsScaned(data) {
  return request({
    url: '/bidprocurement/common-user/appScanCode/getQRCodeIsScaned',
    method: 'post',
    async: false,
    data
  })
}
// 获取二维码登录信息（认证信息）
export function getSupplierQRCodeLoginInfo(data) {
  return request({
    url: '/bidprocurement/common-user/appScanCode/getQRCodeLoginInfo',
    method: 'post',
    async: false,
    data
  })
}
// 获取二维码登录信息（认证信息）
export function getSupplierQRCodeSignInfo(data) {
  return request({
    url: '/bidprocurement/common-user/appScanCode/getQRCodeSignInfo',
    method: 'post',
    async: false,
    data
  })
}
// 大唐非招添加邀请函查询列表
export function queryInvititationSupplierMessage(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/queryInvititationSupplierMessage',
    method: 'post',
    data
  })
}
// 获取对应角色的人员
export function selectUpDepartUserInfoListByDepartId(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/selectUpDepartUserInfoListByDepartId',
    method: 'post',
    data
  })
}

// 采购计划-采购计划编制录入-选择计划负责人
export function selectUserListByDepartId(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/selectUserListBycDepartId',
    method: 'post',
    data
  })
}

// 获取机构列表
export function getDepartList(data) {
  return request({
    url: '/bidprocurement/common-user/user/depart/getDepartList',
    method: 'post',
    data
  })
}
// 根据RoleCodes查询用户列表
export function selectUserInfoListByRoleCodes(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/selectUserInfoListByRoleCodes',
    method: 'post',
    data
  })
}
